<form *ngIf="book !== undefined">
  <div class="mx-auto" style="width: fit-content; width: -moz-fit-content">
    <div class="form-group">
      <label class="form-label" for="title">Titre: </label>
      <input #title class="form-control" id="title" type="text" value="{{book.title}}">
    </div>
    <div class="form-group">
      <label class="form-label" for="publisher">Editeur: </label>
      <input #publisher class="form-control" id="publisher" type="text" value="{{book.publisher}}">
    </div>
    <div class="form-group">
      <label class="form-label" for="year">Année: </label>
      <input #year class="form-control" id="year" type="text" value="{{book.year}}">
    </div>
    <div class="form-group">
      <label class="form-label" for="back_cover">Synopsis: </label>
      <textarea #back_cover class="form-control" id="back_cover" rows="5">{{book.back_cover}}</textarea>
    </div>
    <div class="form-group">
      <label class="form-label" for="imageUrl">Image URL: </label>
      <input #imageUrl class="form-control" id="imageUrl" type="text" value="{{book.imageUrl}}">
    </div>
  </div>
  <div class="d-flex mx-auto mt-3" style="width: fit-content; width: -moz-fit-content">
    <button class="btn btn-outline-primary" *ngIf="id === undefined" (click)="create(title.value, publisher.value, year.value, back_cover.value, imageUrl.value)">
      Créer
    </button>
    <button class="btn btn-outline-primary" *ngIf="id !== undefined" (click)="update(title.value, publisher.value, year.value, back_cover.value, imageUrl.value)">
      Mettre à jour
    </button>
    <button class="btn btn-outline-secondary" (click)="goBack()">Annuler</button>
  </div>
</form>
